
SRC=		\
			resources.js		\
			ui.js				\
			uiScoreboard.js		\
			uiGrid.js			\
			ui.js				\
			Grid.js				\
			Player.js				\
			polling.js			\
			workflow.js

OUTPUT=		../public/crosswords.min.js

CLOSURE=	closure-compiler-v20170218.jar

all:
	java -jar ${CLOSURE} --compilation_level ADVANCED --language_in=ECMASCRIPT5_STRICT --warning_level=VERBOSE --js_output_file ${OUTPUT} ${SRC}

debug:
	java -jar ${CLOSURE} --compilation_level WHITESPACE_ONLY --language_in=ECMASCRIPT5_STRICT --js_output_file ${OUTPUT} ${SRC}

$OUTPUT: all

clean:
	$(RM) $(OUTPUT)

re:	clean all

.PHONY: all debug clean re

